Subject: Re: [PATCH] ixgbe: Introduce new 10GbE driver for Intel 82598 based PCI Express adapters...

From: Arjan van de Ven <[email-masked]>
Date: Mon, 02 Jul 2007 07:31:21 -0700

Jeff Garzik wrote:
> I'm not sure whether gcc is confused about ABI alignment or such, on 
> various platforms, but every time I look at the asm generated it is 
> /not/ equivalent to open-coded feature flags and bitwise logic.  Often 
> it is demonstrably worse.
> 
(I can imagine this being different if you forcefully pack your 
structure to align with hw masks, but that is obviously not the case here)